Subject: bug#6900: mktemp: want option to make a fifo

From: John Reiser <[email-masked]>
Date: Mon, 23 Aug 2010 10:34:40 -0700

On 08/23/2010 09:40 AM, Eric Blake wrote:
> On 08/23/2010 09:22 AM, John Reiser wrote:
>> mktemp: Please add an option which creates a fifo
>>   [snip]
> 
> Thanks for the report.  However, I'm inclined to mark this bug as a
> duplicate of 6330, for the reasons already documented in this long thread:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-06/msg00013.html

The suggested alternative (use "mktemp -d" to create a uniquely-named
directory, then use mkfifo of an arbitrary fixed name within that directory)
satisfies only some of the desired properties.  Yes, it's a fifo with
a safely-created unique name.  However, removing that fifo leaves behind
the directory, and the directory also occupies its own space [often
a few kilobytes] even during the lifetime of the fifo.

It is somewhat ironic that Mr. Blake's .sig promotes "Libvirt virtual-
ization library", because the alternative suggestion is not a
faithful virtualization of what "mktemp --fifo" should be.

--